import { Component, createEffect } from "solid-js";

import styles from './Login.module.css'
import { localState } from "../state";
import { authConfig } from "../api";
import { Navigate, useNavigate } from "@solidjs/router";

const Login: Component = () => {
	const navigate = useNavigate();

	createEffect(() => {
		if(localState.accountInfo == null) {
			window.location.href = "https://accounts.google.com/o/oauth2/v2/auth?client_id=" + encodeURIComponent(authConfig()!.clientId) + "&redirect_uri=" + encodeURIComponent(authConfig()!.redirect_url) + "&access_type=offline&response_type=code&scope=profile&prompt=select_account";
		}else {
			navigate('/');
		}
	}, []);

	return <div>Login page</div>;
}

export default Login;
